gtlssh-keygen(1)

NAME
gtlssh-keygen - Key handling for gtlssh

SYNOPSIS
gtlssh-keygen [options] <command> [command options]

DESCRIPTION
The gtlssh-keygen program is used for making key handling for gtlssh easier.

OPTIONS

--keysize size
    Create an RSA key with the given number of bits. Default is 2048. Usually 1024, 2048, or 4096.

--keydays days
    Create a key that expires in the given number of days. Default is 365.

--basedir dir
    Base directory for gtlssh. Default is $HOME/.gtlssh. Default keys go here.

--keydir dir
    Location to put the non-default generated keys. Default is $HOME/.gtlssh/keycerts

--commonname name
    Set the common name in the certificate. The default is your username for normal certificates and the fully qualified domain name for server certificates.

-h|--help
    Help output

COMMAND
Commands are:

keygen [-p <port>] [hostname]
    Setup of the base directory (if not already set up) and create keys. If nothing is specified, create the default key in <basedir>/default.key and <basedir>/default.crt. Otherwise create keys in the form <keydir>/<host>[,<port>].key and <keydir>/<host>[,<port>].crt.

setup
    Like keygen, but take no options and create the default certificate only.

rehash [directory [directory [...]]]
    The openssl library used by gtlssh requires that certificates in a library be hashed so it can find them. This command redoes the hashes in the given directories. If no directory is specified, it rehashes <basedir>/allowed_certs and <basedir>/server_certs. Note that if you add keys to these directories, you must rehash them or they will not work.

serverkey
    Create keys for the server, generally in /etc/gtlssh/gtlsshd.key and /etc/gtlssh/gtlsshd.crt. You generally must be root to do this. Use for initial setup of gtlsshd.

SEE ALSO
gtlssh(1), gtlsshd(8)

KNOWN PROBLEMS
None.

AUTHOR

Corey Minyard <minyard@acm.org>